<?php
function GeneratePassword() {
		$Password = '';
		$Password .= substr("bcdfghjkmnpqrstvwxz",mt_rand(0,18),1);
		$Password .= substr("aeuy",mt_rand(0,3),1);
		$Password .= substr("bcdfghjkmnpqrstvwxz",mt_rand(0,18),1);
		$Password .= substr("!#*&",mt_rand(0,4),1);
		$Password .= substr("bcdfghjkmnpqrstvwxz",mt_rand(0,18),1);
		$Password .= substr("aeuy",mt_rand(0,3),1);
		$Password .= substr("bcdfghjkmnpqrstvwxz",mt_rand(0,18),1);
		$Password .= substr("23456789",mt_rand(0,7),1);
		return($Password);
}
function valid_mail ($str) {
 return  (ereg ('(^[0-9a-zA-Z_\.-]{1,}@([0-9a-zA-Z_\-]{1,}\.)+[0-9a-zA-Z_\-]{2,}$)', $str));
}
function valid_name ($str) {
 return  (ereg ('^[A-Za-z. -]+$', $str));
}
function valid_tussenvoegsel ($str) {
 return  (ereg ('^[A-Za-z ]*$', $str));
}
function valid_voorletters ($str) {
 return  (ereg ('^[A-Z.]+$', $str));
}
function valid_achternaam ($str) {
 return  (ereg ('^[A-Za-z -]+$', $str));
}
function valid_adres ($str) {
 return  (ereg ('^([A-Za-z-])+ [0-9]+([a-z0-9 -])*$', $str));
}
function valid_postcode ($str) {
 return  (ereg ('^[1-9][0-9]{3}[ ]?[A-Za-z]{2}$', $str));
}
function valid_woonplaats ($str) {
 return  (ereg ('([A-Za-z -])+$', $str));
}
function valid_telnr ($str) {
 return  (ereg ('^[0-9]{10}$', $str));
}
function valid_reknr ($str) {
 return  (ereg ('^[1-9][0-9]{3,}$', $str));
}

$naam = ucfirst($naam);

require "header.php";

$verzendbutton	=	$_POST["verzendbutton"];
$voorletters	=	$_POST["voorletters"];
$tussenvoegsel	=	$_POST["tussenvoegsel"];
$achternaam		=	$_POST["achternaam"];
$geslacht		=	$_POST["geslacht"];
$adres			=	$_POST["adres"];
$postcode		=	$_POST["postcode"];
$woonplaats		=	$_POST["woonplaats"];
$mailadres		=	$_POST["mailadres"];
$telnr			=	$_POST["telnr"];
$reknr			=	$_POST["reknr"];

if (isset($_POST["url"])) {
	$url = $_POST["url"];
}

echo "<p><div class=\"big\">Aanmelden voor de webshop</div><br>";

if ($verzendbutton != "verzenden" || !valid_mail($mailadres) || !valid_voorletters($voorletters) || !valid_tussenvoegsel($tussenvoegsel) || !valid_achternaam($achternaam)) { 

echo "<form action=\"".$_SERVER["PHP_SELF"]."\" method=\"post\">";
if (!$url) {
	$url = getenv("HTTP_REFERER"); // haal vorige url op
}
echo "<input type=\"hidden\" name=\"url\" value=\"$url\">";

if ($verzendbutton && !valid_voorletters($voorletters)) {
		echo "<font color=\"red\">Vul hier uw voorletters correct in!</font>";
}
?>
Voorletters: <input type="text" name="voorletters" value="<?php echo $voorletters ?>"><br>
<?php
if ($verzendbutton && !valid_tussenvoegsel($tussenvoegsel)) {
		echo "<font color=\"red\">Vul hier uw tussenvoegsel correct in!</font>";
}
?>
Tussenvoegsel: <input type="text" name="tussenvoegsel" value="<?php echo $tussenvoegsel ?>"><br>

<?php
if ($verzendbutton && !valid_achternaam($achternaam)) {
		echo "<font color=\"red\">Vul hier uw achternaam correct in!</font>";
}
?>
Achternaam: 
<select name="geslacht">
<option value="m" <?php if ($geslacht == "m") echo "selected" ?>>De heer</option>
<option value="v" <?php if ($geslacht == "v") echo "selected" ?>>Mevrouw</option>
</select>
<input type="text" name="achternaam" value="<?php echo $achternaam ?>"><br>

<?php
if ($verzendbutton && !valid_adres($adres)) {
		echo "<font color=\"red\">Vul hier uw adres correct in!</font>";
}
?>
Adres: <input type="text" name="adres" value="<?php echo $adres ?>"><br>

<?php
if ($verzendbutton && !valid_postcode($postcode)) {
		echo "<font color=\"red\">Vul hier uw postcode correct in!</font>";
}
?>
Postcode: <input type="text" name="postcode" value="<?php echo $postcode ?>"><br>

<?php
if ($verzendbutton && !valid_woonplaats($woonplaats)) {
		echo "<font color=\"red\">Vul hier uw woonplaats correct in!</font>";
}
?>
Woonplaats: <input type="text" name="woonplaats" value="<?php echo $woonplaats ?>"><br>

<?php
if ($verzendbutton && !valid_mail($mailadres)) {
		echo "<font color=\"red\">Vul hier uw mailadres correct in!</font>";
}
?>
E-mail: <input type="text" name="mailadres" value="<?php echo $mailadres ?>"><br>

<?php
if ($verzendbutton && !valid_telnr($telnr)) {
		echo "<font color=\"red\">Vul hier uw telefoonnummer correct in!</font>";
}
?>
Telefoonnummer: <input type="text" name="telnr" value="<?php echo $telnr ?>"><br>
<?php

if ($verzendbutton && !valid_reknr($reknr)) {
		echo "<font color=\"red\">Vul hier uw rekeningnummer correct in!</font>";
}
?>
Rekeningnummer: <input type="text" name="reknr" value="<?php echo $reknr ?>"><br>

<input type="submit" value="verzenden" name="verzendbutton">
</form>

<?php

} else {

	$password = GeneratePassword();

	$passwordmd5 = md5($password);

	$voorl = strtolower(ereg_replace("\.", "", $voorletters));
	$achtern = strtolower(ereg_replace(" ", "", $achternaam));
	$username = substr($voorl.$achtern, 0, 15);

	$sql = "INSERT INTO Klant (Voorletters, Tussenvoegsel, Achternaam, Geslacht, Adres, Postcode, Plaats, Telefoon_prive, Email_prive, Rekeningnummer, Username, Password) VALUES ('$voorletters', '$tussenvoegsel', '$achternaam', '$geslacht', '$adres', '$postcode', '$woonplaats', '$telnr', '$mailadres', '$reknr', '$username', '$passwordmd5')";

	$result = mysql_query($sql);

	if ($result) {

		$boodschap = "Welkom bij onze winkel!\n\n";
		$boodschap .= "Uw gebruikersnaam is: $username\n";
		$boodschap .= "Uw password is: $password\n";

		$afzender = "website@mijnwinkel.nl";

		$ok = mail($mailadres, "Inloggevens", $boodschap, "From: $afzender");

		if (!$ok) {

			echo "De mail kon niet verzonden worden!";

		}


		echo "<br><p>U ontvangt uw inloggevens op $mailadres<br>";
		echo "Log <a href=\"$url\">nu</a> in"; // spring terug naar oorspronkelijke url
	} else {
		
		echo "De database kon niet aangesproken worden. Neem contact op met de webmaster!";

	}

}

require "footer.php";

?>
